MilkyStep fails to restrict access permissions


MilkyStep provided by Igreks Inc. is a CGI for e-mail newsletter distribution management. MilkyStep fails to restrict access permissions against the management function for user information (CWE-284).

Note that this vulnerability is different from JVN#16409640 or JVN#74280258.

Kusano Kazuhiko reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 5.5 (Medium) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Low
  • Authentication: Single Instance
  • Confidentiality Impact: Partial
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products

Igreks Inc.
  • MilkyStep Light Ver0.94 and earlier
  • MilkyStep Professional Ver1.82 and earlier
  • MilkyStep Professional OEM Ver1.82 and earlier


A non-administrative user may be able to change administrative user credentials.

[Update the Software]
Update to the latest version according to the information provided by the developer.
Vendor Information

Igreks Inc.
CWE (What is CWE?)

  1. Permissions(CWE-264) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2015-2952

  1. JVN : JVN#19732015
  2. National Vulnerability Database (NVD) : CVE-2015-2952
Revision History

 Web page was published
  References : Content was added